## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# DOMStringHelper Class Reference

`#include <DOMStringHelper.hpp>`

List of all members.

## Public Types

- typedef void (FormatterListener::* MemberFunctionPtr )(const XMLCh* const, const unsigned int)

## Static Public Methods

- void DoubleToCharacters ( double theDouble, FormatterListener& formatterListener, MemberFunctionPtr function)
- void LongToCharacters ( long theLong, FormatterListener& formatterListener, MemberFunctionPtr function)

## Member Typedef Documentation

typedef void (FormatterListener::* DOMStringHelper::MemberFunctionPtr)(const XMLCh* const, const unsigned int)

## Member Function Documentation

void DOMStringHelper::DoubleToCharacters ( | double theDouble,
| FormatterListener & formatterListener,
| MemberFunctionPtr function )`[static]`

void DOMStringHelper::LongToCharacters ( | long theLong,
| FormatterListener & formatterListener,
| MemberFunctionPtr function )`[static]`

The documentation for this class was generated from the following file:

- DOMStringHelper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.